- Home
- API Enriched
- Observability
- data
- Access Log Scroll Query.
Access Log Scroll Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/access_logs/scroll';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","scroll_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/access_logs/scroll \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "scroll_id": "example" }'The response for access log query contain no more than 500 records. Scroll request is used scroll through more than 500 records or all records that matched the criteria in the access log query in multiple batches. EOF is indicated by empty scroll_id in the response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace fetch the log messages scoped by namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Scroll request is used to fetch large number of log messages in multiple batches with each LogResponse containing no more than 500 (max value for limit in the request) log messages. To scroll through more than 500 or all log messages, one can use the LogScrollRequest. Use the scroll_id returned in the LogResponse to fetch the next batch of log messages and one can continue this process till the scroll_id returned in the LogResponse is "" which indicates no more log messages to scroll.
object
Fetch the log messages scoped by namespace.
Long Base-64 encoded string which can be used to retrieve next batch of log messages.
Examplegenerated
{ "namespace": "example", "scroll_id": "example"}Responses
Section titled “Responses”A successful response.
Response message for AuditLogRequest/AccessLogRequest/LogScrollRequest.
object
Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.
object
List of log messages that matched the query. Not all log messages that matched the query are returned in the response.
Long Base-64 encoded string which can be used to retrieve next batch of log messages using the scroll request. Empty scroll_id indicates no more messages to scroll (EOF). Note: scroll_id is valid only for 2 minutes. I.e., If one intend to retrieve next batch of the result, then the scroll request should be sent within 2 minutes upon receiving the LogResponse.
Total number of log messages that matched the query.
object
This is a unique UUID generated by elastic search.
Configuration parameter for last timestamp
Examplegenerated
{ "aggs": {}, "logs": [ "example" ], "scroll_id": "example", "total_hits": "example", "last_sort_values": { "last_doc_id": "example", "last_timestamp": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example